/**
 * Copyright (c) 2012-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.api.command.exception;

import org.ow2.petals.cli.api.command.Command;

/**
 * The alias does not exist in the preference file
 * 
 * @author Christophe DENEUX - Linagora
 */
public class UnexistingAliasException extends CommandInvalidException {

    private static final long serialVersionUID = 1L;

    public static final String MESSAGE_PATTERN = "This alias '%s' does not exist";

    /**
     * The unexisting alias
     */
    private final String unexistingAlias;

    public UnexistingAliasException(final Command command, final String unexistingAlias) {
        super(command, String.format(MESSAGE_PATTERN, unexistingAlias));
        this.unexistingAlias = unexistingAlias;
    }

    /**
     * @return The unexisting alias
     */
    public String getUnexistingAlias() {
        return this.unexistingAlias;
    }

}
