/**
 * Copyright (c) 2014-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.api.pref.exception;

import java.io.File;

import org.ow2.petals.cli.api.pref.PreferenceFileException;

/**
 * The preference file is not readable.
 * 
 * @author Christophe DENEUX - Linagora
 * 
 */
public class PreferenceFileNotReadableException extends PreferenceFileException {

    private static final long serialVersionUID = 9122264441262830431L;

    private static final String MESSAGE_TEMPLATE = "Your are not granted to access the configuration file '%s'.";
    
    public PreferenceFileNotReadableException(final File file) {
        super(String.format(MESSAGE_TEMPLATE, file.getAbsolutePath()));
    }

}
