/**
 * Copyright (c) 2012-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.api.shell.exception;

/**
 * A shell exception can be used to report errors that can't be handled by the shell.
 * 
 * @author Sebastien Andre - EBM WebSourcing
 */
public class ShellException extends Exception {

    private static final long serialVersionUID = 4794311385202702874L;

    public ShellException() {
        super();
    }

    public ShellException(final String message, final Throwable cause) {
        super(message, cause);
    }

    public ShellException(final String message) {
        super(message);
    }

    public ShellException(final Throwable cause) {
        super(cause);
    }

}
