/**
 * Copyright (c) 2012-2018 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.cli.api.command;

import java.util.Map;

import org.apache.commons.cli.Options;
import org.ow2.petals.cli.api.command.exception.CommandException;
import org.ow2.petals.cli.api.shell.Shell;

import jline.console.completer.Completer;

public class NullCommand implements Command {

    public static final String NAME = "null";

    @Override
    public Options getOptions() {
        return null;
    }

    @Override
    public void resetOptions() {
        // NOP
    }

    @Override
    public String getOptionsDescription() {
        return null;
    }

    @Override
    public String getName() {
        return NAME;
    }

    @Override
    public String getUsage() {
        return null;
    }

    @Override
    public String getDescription() {
        return null;
    }

    @Override
    public Completer getDefaultCompleter() {
        return null;
    }

    @Override
    public Map<String, Completer> getOptionCompleters() {
        return null;
    }

    @Override
    public Shell getShell() {
        return null;
    }

    @Override
    public void setShell(final Shell shell) {
        // NOP
    }

    @Override
    public void execute(final String[] args) throws CommandException {
        // NOP
    }

    @Override
    public boolean isConnectionRequired() {
        return false;
    }

}
